<template>

</template>

<script>
    import eventParentConfig from "../../eventParentConfig";
    export default {
        name: "popverComp",//eventKey事件唯一标识(保证唯一性)
        extends: eventParentConfig,
        eventType:'list', //规则类型 'tableView'表单事件  list:列表事件 flow 流程事件
        eventName:'点击弹出popver', //事件显示名称
        version:"1.0",
        renderKey:'popver-comp-render', //渲染模版对应的唯一标识（渲染组件 name）
        data(){
            return {
            }
        },

        created() {
            this.initData(); //配置数据初始化
        },
        methods:{
            /**
             * 执行配置数据初始化，对于传入参数 configData 初始值设置或者数据回填显示
             */
            initData(){

            },

            //-------------- 模板返回方法 (为事件渲染提供 ) start--------------------------
            /**
             * 表单规则、流程规则渲染方法
             */
            renderConfig(){


            },
            /**
             * 列表规则返回
             */
            getConfigDatas(){
                let result = {};
                return result;
            },
            // ---------------------- 模板返回方法 end -----------------------------

        }
    }
</script>

<style scoped>
    .diy-class{
        position: relative;
    }
    .diy-class /deep/ .is-controls-right{
        width: 70px;
    }
    .diy-class /deep/ .el-input-number__decrease{
        width: 20px;
        left: 24px;
    }
    .diy-class /deep/ .el-input-number__increase{
        width: 20px;
        left: 24px;
    }
    .diy-class /deep/ .el-input__inner{
        padding: 0;
        width: 30px;
        position: relative;
        left: -25px;
    }

    .diy-class /deep/ .el-color-picker__trigger{
        width: 18px;
        height: 18px;
    }
</style>